- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions

# QByteArrayMatcher Class Reference

Search for all occurrences

## Detailed Description

Definition at line 55 of file qbytearraymatcher.h.

`#include <qbytearraymatcher.h>`

List of all members.

## Classes
struct | Data
## Public Member Functions
| QByteArrayMatcher ()
| QByteArrayMatcher (const QByteArray &pattern)
| QByteArrayMatcher (const char *pattern, int length)
| QByteArrayMatcher (const QByteArrayMatcher &other)
| ~QByteArrayMatcher ()
QByteArrayMatcher & | operator= (const QByteArrayMatcher &other)
void | setPattern (const QByteArray &pattern)
int | indexIn (const QByteArray &ba, int from=0) const
int | indexIn (const char *str, int len, int from=0) const
QByteArray | pattern () const

## Constructor & Destructor Documentation

QByteArrayMatcher | ( |  | ) |

QByteArrayMatcher | ( | const QByteArray & | pattern | ) | `[explicit]`

QByteArrayMatcher | ( | const char * | pattern,
|  | int | length
| ) |  | `[explicit]`

QByteArrayMatcher | ( | const QByteArrayMatcher & | other | ) |

~QByteArrayMatcher | ( |  | ) |

## Member Function Documentation

QByteArrayMatcher& operator= | ( | const QByteArrayMatcher & | other | ) |

void setPattern | ( | const QByteArray & | pattern | ) |

Search for all occurrences

int indexIn | ( | const QByteArray & | ba,
|  | int | from = `0`
| ) |  | const

Search for all occurrences

int indexIn | ( | const char * | str,
|  | int | len,
|  | int | from = `0`
| ) |  | const

Search for all occurrences

QByteArray pattern | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 70 of file qbytearraymatcher.h.

        {
            if (q_pattern.isNull())
                return QByteArray(reinterpret_cast<const char*>(p.p), p.l);
            return q_pattern;
        }

## Member Data Documentation

uint dummy[256]

Search for all occurrences

Definition at line 91 of file qbytearraymatcher.h.

Data p

Search for all occurrences

Definition at line 92 of file qbytearraymatcher.h.

The documentation for this class was generated from the following file:

- QtCore/qbytearraymatcher.h

QByteArrayMatcher QByteArrayMatcher QByteArrayMatcher QByteArrayMatcher QByteArrayMatcher QByteArrayMatcher QByteArrayMatcher QByteArrayMatcher QByteArrayMatcher QByteArrayMatcher
QByteArrayMatcher QByteArrayMatcher QByteArrayMatcher QByteArrayMatcher QByteArrayMatcher QByteArrayMatcher QByteArrayMatcher QByteArrayMatcher QByteArrayMatcher QByteArrayMatcher